#!/bin/sh
mkdir -p /tmp/tardir
cd /tmp/tardir
LIST=(
        http://forge.abinit.org/fallbacks/atompaw-4.0.1.0.tar.gz
        http://forge.abinit.org/fallbacks/libxc-3.0.0.tar.gz
        http://forge.abinit.org/fallbacks/netcdf-4.1.1.tar.gzs
        https://launchpad.net/wannier90/2.0/2.0.1.1/+download/wannier90-2.0.1.1.tar.gz
	https://www.abinit.org/sites/default/files/packages/abinit-8.10.3.tar.gz
)

copy(){
        cp /store/CINES/dci/SHARED/abs/Abinit/atompaw-4.0.1.0.tar.gz .
        cp /store/CINES/dci/SHARED/abs/Abinit/libxc-3.0.0.tar.gz .
        cp /store/CINES/dci/SHARED/abs/Abinit/netcdf-4.1.1.tar.gz .
        cp /store/CINES/dci/SHARED/abs/Abinit/wannier90-2.0.1.1.tar.gz .
        cp /store/CINES/dci/SHARED/abs/Abinit/abinit-8.10.3.tar.gz /tmp/. 
}

for name in "${LIST[@]}"; do
        wget --tries=2 -nc --no-check-certificate $name
        if [[  $? != "0" ]]; then
                copy # if download failed then copy
                break 2
        fi
        chmod ugo+x /tmp/tardir/*.tar.gz
	mv /tmp/tardir/abinit-8.10.3.tar.gz /tmp/.
done

cd /tmp
tar xf abinit-8.10.3.tar.gz
cd abinit-8.10.3
